Last Comment Bug 686671 - Reduce border radii of the url bar, search bar and toolbar buttons on the navigation toolbar
: Reduce border radii of the url bar, search bar and toolbar buttons on the nav...
Status: RESOLVED FIXED
: polish
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Windows 7
: -- enhancement (vote)
: Firefox 9
Assigned To: Dão Gottwald [:dao]
:
Mentors:
Depends on:
Blocks: 638526
  Show dependency treegraph
 
Reported: 2011-09-14 08:01 PDT by Dão Gottwald [:dao]
Modified: 2011-12-22 11:42 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.89 KB, patch)
2011-09-14 08:01 PDT, Dão Gottwald [:dao]
shorlander: review+
Details | Diff | Review
screenshot (34.82 KB, image/png)
2011-09-14 08:07 PDT, Dão Gottwald [:dao]
no flags Details

Description Dão Gottwald [:dao] 2011-09-14 08:01:09 PDT
Created attachment 560157 [details] [diff] [review]
patch

These should probably be completely square on Windows 8. In the meantime, I think we should reduce the radii for all Windows versions, as it looks sleeker and will ease the transition to the Windows 8 look.
Comment 1 Dão Gottwald [:dao] 2011-09-14 08:07:50 PDT
Created attachment 560159 [details]
screenshot
Comment 2 Stephen Horlander [:shorlander] 2011-09-14 10:28:49 PDT
Comment on attachment 560157 [details] [diff] [review]
patch

Review of attachment 560157 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good!
Comment 3 Dão Gottwald [:dao] 2011-09-14 12:07:15 PDT
http://hg.mozilla.org/mozilla-central/rev/145d437bebcf
Comment 4 solcroft 2011-09-14 18:58:32 PDT
Will the hover appearance of small toolbar buttons be adjusted to match as well?
Comment 5 Valerio 2011-09-15 02:41:20 PDT
Maybe you should also reduce the border radii of search bar in the Library and the border radii of buttons and search bar in the Add-ons manager for more consistency
Comment 6 Dão Gottwald [:dao] 2011-09-15 04:46:57 PDT
(In reply to solcroft from comment #4)
> Will the hover appearance of small toolbar buttons be adjusted to match as
> well?

These are native toolbar buttons, which AFAIK were already less round than the custom style.

(In reply to Valerio from comment #5)
> Maybe you should also reduce the border radii of search bar in the Library
> and the border radii of buttons and search bar in the Add-ons manager for
> more consistency

Feel free to file new bugs on this. Also, patches are welcome.
Comment 7 Siddhartha Dugar [:sdrocking] 2011-09-15 06:38:12 PDT
Bug 638688 may be closed
Comment 8 solcroft 2011-09-15 06:39:58 PDT
(In reply to Dão Gottwald [:dao] from comment #6)
> (In reply to solcroft from comment #4)
> > Will the hover appearance of small toolbar buttons be adjusted to match as
> > well?
> 
> These are native toolbar buttons, which AFAIK were already less round than
> the custom style.

They currently have a border radius of 3px, if I'm not mistaken. According to the patch code, the urlbar and toolbar buttons are being reduced to 2.5px.
Comment 9 Siddhartha Dugar [:sdrocking] 2011-09-21 21:11:23 PDT
Will this be pushed to Firefox 8 Aurora?
Comment 10 Dão Gottwald [:dao] 2011-09-22 01:07:54 PDT
(In reply to sdrocking from comment #9)
> Will this be pushed to Firefox 8 Aurora?

I wouldn't expect this to be approved for landing on Aurora.
Comment 11 PimpUigi 2011-12-22 11:42:46 PST
For what it's worth (and it's not much I guess), this looks worse than before.
Why are we going back to Windows 95 style square buttons????

Did we lose our funding for modern looking apps?
We still have to deal with the **** small buttons having lost Firefox's style.

What is up with this stuff lately?

Note You need to log in before you can comment on or make changes to this bug.